On This Page
Simple Order API
Auto Rental Authorization, Capture, and Credit
This use case includes a payment authorization, a payment capture, and then a payment
refund for one auto rental transaction.
Authorize a Payment
Send a payment authorization with auto rental details to one of the following resources:
Test:
POST https://apitest.cybersource.com/pts/v2/payments/
Production:
POST https://api.cybersource.com/pts/v2/payments/
Production in India:
POST https://api.in.cybersource.com/pts/v2/payments/
Be sure to include the following field to indicate that you are passing auto rental information:
"processingInformation": { "industryDataType": "auto_rental" },
Also, include the number of auto rental days in the following field:
"travelInformation": { "duration": "3" },
See the Auto Rental Authorization request and response examples.
Capture the Payment
To capture the payment, pass the payment transaction ID to the following resource:
Test:
POST https://apitest.cybersource.com/pts/v2/payments/{transactionId}/captures
Production:
POST https://api.cybersource.com/pts/v2/payments/{transactionId}/captures
Production in India:
POST https://api.in.cybersource.com/pts/v2/payments/{transactionId}/captures
Be sure to include the following field to indicate that you are passing auto rental information:
"processingInformation": { "industryDataType": "auto_rental" },
Also, send the number of auto rental days in the following field:
"travelInformation": { "duration": "3" },
Additionally, include the auto rental fields in the
travelInformation.autoRental
request object. See the Auto Rental Capture examples. For a comprehensive list of auto rental fields, see the Capture section of the API Reference.
Credit the Payment
To credit the authorized and captured payment, use one of the following resources:
Test:
POST https://apitest.cybersource.com/pts/v2/credits
Production:
POST https://apitest.cybersource.com/pts/v2/credits
Production in India:
POST https://apitest.cybersource.com/pts/v2/credits
Be sure to include the following field to indicate that you are passing auto rental information:
"processingInformation": { "industryDataType": "auto_rental" },
Also, send the number of auto rental days in the following field:
"travelInformation": { "duration": "3" },
See the Auto Rental Stand-Alone Credit examples.